Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.options
Class PNGOptions

    java.lang.Object
      |
      +--com.sun.jimi.core.options.BasicFormatOptionSet
            |
            +--com.sun.jimi.core.options.PNGOptions

public class PNGOptions
extends BasicFormatOptionSet

Options class for PNG images.

Field Summary
`protected IntOption` | `compression`
`static int` | `COMPRESSION_DEFAULT` Compression constant
`static int` | `COMPRESSION_FAST` Compression constant
`static int` | `COMPRESSION_MAX` Compression constant
`static int` | `COMPRESSION_NONE` Compression constant

Fields inherited from class com.sun.jimi.core.options.BasicFormatOptionSet
`nameToOptionMap, options`

Constructor Summary
`PNGOptions()`

Method Summary
`protected FormatOption[]` | `createOptions()`
`int` | `getCompressionType()`
`void` | `setCompressionType(int type)`

Methods inherited from class com.sun.jimi.core.options.BasicFormatOptionSet
`clone, copyOptionsFrom, getOption, getOptions, initWithOptions`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### compression

    protected IntOption compression

### COMPRESSION_NONE

    public static final int COMPRESSION_NONE

  Compression constant

### COMPRESSION_DEFAULT

    public static final int COMPRESSION_DEFAULT

  Compression constant

### COMPRESSION_FAST

    public static final int COMPRESSION_FAST

  Compression constant

### COMPRESSION_MAX

    public static final int COMPRESSION_MAX

  Compression constant

Constructor Detail

### PNGOptions

    public PNGOptions()

Method Detail

### createOptions

    protected FormatOption[] createOptions()

### getCompressionType

    public int getCompressionType()

### setCompressionType

    public void setCompressionType(int type)
                            throws OptionException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD